KlugeExtOUProcess Class Reference

`#include <ql/experimental/processes/klugeextouprocess.hpp>`

Inheritance diagram for KlugeExtOUProcess:
[legend]

## Public Member Functions

| KlugeExtOUProcess (Real rho, const boost::shared_ptr< ExtOUWithJumpsProcess > &kluge, const boost::shared_ptr< ExtendedOrnsteinUhlenbeckProcess > &extOU)
Size | size () const
| returns the number of dimensions of the stochastic process
Size | factors () const
| returns the number of independent factors of the process
Disposable< Array > | initialValues () const
| returns the initial values of the state variables
Disposable< Array > | drift (Time t, const Array &x) const
| returns the drift part of the equation, i.e., \( \mu(t, \mathrm{x}_t) \)
Disposable< Matrix > | diffusion (Time t, const Array &x) const
| returns the diffusion part of the equation, i.e. \( \sigma(t, \mathrm{x}_t) \)
Disposable< Array > | evolve (Time t0, const Array &x0, Time dt, const Array &dw) const
boost::shared_ptr< ExtOUWithJumpsProcess > | getKlugeProcess () const
boost::shared_ptr< ExtendedOrnsteinUhlenbeckProcess > | getExtOUProcess () const
Real | rho () const
Public Member Functions inherited from StochasticProcess
virtual Disposable< Array > | expectation (Time t0, const Array &x0, Time dt) const
virtual Disposable< Matrix > | stdDeviation (Time t0, const Array &x0, Time dt) const
virtual Disposable< Matrix > | covariance (Time t0, const Array &x0, Time dt) const
virtual Disposable< Array > | apply (const Array &x0, const Array &dx) const
virtual Time | time (const Date &) const
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Additional Inherited Members

Protected Member Functions inherited from StochasticProcess
| StochasticProcess (const boost::shared_ptr< discretization > &)
Protected Attributes inherited from StochasticProcess
boost::shared_ptr< discretization > | discretization_

## Detailed Description

This class describes a correlated Kluge - extended Ornstein-Uhlenbeck process governed by

\[ \begin{array}{rcl} P_t &=& \exp(p_t + X_t + Y_t) \\ dX_t &=& -\alpha X_tdt + \sigma_x dW_t^x \\ dY_t &=& -\beta Y_{t-}dt + J_tdN_t \\ \omega(J) &=& \eta e^{-\eta J} \\ G_t &=& \exp(g_t + U_t) \\ dU_t &=& -\kappa U_tdt + \sigma_udW_t^u \\ \rho &=& \mathrm{corr} (dW_t^x, dW_t^u) \end{array} \]

References: B. Hambly, S. Howison, T. Kluge, Modelling spikes and pricing swing options in electricity markets, http://people.maths.ox.ac.uk/hambly/PDF/Papers/elec.pdf

## Member Function Documentation

Disposable<Array> evolve | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt,
|  | const Array & | dw
| ) |  | const

virtual

returns the asset value after a time interval \( \Delta t \) according to the given discretization. By default, it returns

\[ E(\mathrm{x}_0,t_0,\Delta t) + S(\mathrm{x}_0,t_0,\Delta t) \cdot \Delta \mathrm{w} \]

where \( E \) is the expectation and \( S \) the standard deviation.

Reimplemented from StochasticProcess.